# $Id: smeserver-kronolith.spec,v 1.9 2008/12/06 04:12:45 mrjhb3 Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

Summary: SME Server specific Kronolith configuration and templates.
%define name smeserver-kronolith
Name: %{name}
%define version 2.2
%define release 4
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch1: kronolith-2.3.patch
Patch2: kronolith-2.3.sql.patch
Patch3: smeserver-kronolith_reminders_agendas.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: imp-h3 >= 4.2
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: e-smith-base >= 4.18.1-5
Requires: e-smith-ldap >= 4.12.0-9
Requires: kronolith-h3 >= 2.2
Requires: php-pear-HTTP-Request >= 1.4.0
Requires: php-pear-Net-Socket >= 1.0.6
Requires: php-pear-Net-URL >= 1.0.14
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no
Obsoletes: e-smith-kronolith = 0.8.0-02db
Obsoletes: pear-http_request >= 1.4.0 
Obsoletes: pear-net_socket >= 1.0.6 
Obsoletes: pear-net_url >= 1.0.14 


%changelog
* Sun Dec 14 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-4
- Patch to add more functionality to Kronolith for calendar reminders and daily agenda email
- config setprop horde reminders enabled - default is enabled and this is set to run every 5 minutes.
- The above sends calendar email alarms/reminders.
- config setprop horde remindertime x - will change the frequency, value in minutes.
- config setprop horde agendas enabled  - default is disabled set to run everyday at 5 am when enabled.
- The above sends daily calendar agenda emails.
- config setprop horde agenda time x - will change the frequency, value needs to be 0 - 24.

* Fri Dec 05 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-3
- Patch to add forgotten changes from kronolith upgrade sql script

* Fri Dec 05 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-2
- Updated templates to reflect Kronolith 2.3

* Sun Jun 22 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-1
- Initial production build
- Jump in package name to reflect new version of kronolith

* Tue Jun 3 2008 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-1
- Initial build
- Jump in package name to reflect new version of kronolith

%description
This package adds necessary templates and configuration items
so that Kronolith will work properly on SME Server

%prep
%setup

%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
